@import url('https://fonts.googleapis.com/css2?family=Inconsolata:wdth,wght@50..200,200..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Indie+Flower&display=swap');

*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --color-bg: #F6F4E8;
    --color-form-bg: #E5EEE4;
    --color-input-bg: #f8fafc;
    --color-input-dark: hsl(32, 100%, 40%);
    --color-input-font-primary: black;
    --color-input-light: papayawhip;
    --color-input-primary: hsl(32, 100%, 60%);
    --color-link-active: darkblue;
    --color-primary: #2b5876;
    --color-toast-bg: #333;
    --color-toast-icon-bg: #111;
    --color-white: white;
    --font-body: 'Inconsolata', monospace;
    --font-heading: serif;
    --font-logo: 'Indie Flower', cursive;
    --shadow-input: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

body{
    background-color: var(--color-bg);
    background-position: bottom;
    background-repeat: no-repeat;
    color: var(--color-input-font-primary);
    display: flex;
    flex-direction: column;
    font-family: var(--font-body);
    line-height: 1;
    min-height: 100dvh;
}

a {
    color: inherit;
    text-decoration: none;
}

input, button, progress {
    appearance: none;
    background: transparent;
    border: none;
    outline: none;
}

[hidden] {
  display: none !important;
}

input[type="checkbox"] {
    background-color: var(--color-input-light);
    border: 2px solid var(--color-input-primary);
    border-radius: 4px;
    cursor: pointer;
    height: 20px;
    position: relative;
    transition: all 0.3s;
    width: 20px;
}

input[type="checkbox"]:checked {
    background-color: var(--color-input-primary);
}

input[type="checkbox"]:checked::after {
    color: var(--color-white);
    content: "\2714";
    font-size: 12px;
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
}

button {
    background-color: var(--color-input-primary);
    border-radius: 20px;
    box-shadow: var(--shadow-input);
    color: var(--color-input-font-primary);
    cursor: pointer;
    font-family: var(--font-body);
    font-size: 1.5rem;
    padding: 0.5em 1.5em;
    transition: all 0.3s;
}

button:hover {
    background-color: var(--color-input-dark);
    transform: translateY(-2px);
}

button:active {
    background-color: var(--color-input-light);
    transform: translateY(0);
}

.vertically-centered-container {
    align-items: center;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    justify-content: center;
}

/* xs */
@media screen and (min-width: 320px) {
    body {
        background-image: url(../images/background_clouds_w400.svg);
    }
}

/* sm */
@media screen and (min-width: 384px) {
    body {
        background-image: url(../images/background_clouds_w500.svg);
    }
}

/* md */
@media screen and (min-width: 448px) {
    body {
        background-image: url(../images/background_clouds_w650.svg);
    }
}

/* xl */
@media screen and (min-width: 576px) {
    body {
        background-image: url(../images/background_clouds_w800.svg);
    }
}

/* 3xl */
@media screen and (min-width: 768px) {
    body {
        background-image: url(../images/background_clouds_w1024.svg);
    }
}

/* 5xl */
@media screen and (min-width: 1024px) {
    body {
        background-image: url(../images/background_clouds_w4096.svg);
    }
}

/* 4k+ */
@media screen and (min-width: 3841px) {
    body {
        background-image: url(../images/background_clouds_w8192.svg);
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}